com.elastisys.scale.cloudpool.api

## Class ApiVersion

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.ApiVersion

    public class ApiVersion
    extends Object

Constants for present and historical API versions.

### Field Summary

Fields
`static String` `LATEST` The latest API version.
`static String` `V1`
`static String` `V2`
`static String` `V3`
`static String` `V4`

### Constructor Summary

Constructors
Constructor and Description
`ApiVersion()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### V1

    public static final String V1

See Also:
  Constant Field Values

#### V2

    public static final String V2

See Also:
  Constant Field Values

#### V3

    public static final String V3

See Also:
  Constant Field Values

#### V4

    public static final String V4

See Also:
  Constant Field Values

#### LATEST

    public static final String LATEST

The latest API version.

See Also:
  Constant Field Values

### Constructor Detail

#### ApiVersion

    public ApiVersion()